<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.13.3.8
Name: ELGA Medical Device
Description: Dieses Entry beschreibt das medizinisches Gerät oder Implantat, das vom Patienten zur Zeit verwendet wird.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.13.3.8-2017-02-26T111752">
   <title>ELGA Medical Device</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]"
         id="d44e284-false-d1964e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]) &gt;= 1">(ELGA Medical Device): Element hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]) &lt;= 1">(ELGA Medical Device): Element hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]"
         id="d44e316-false-d2016e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="string(@classCode) = ('SPLY')">(ELGA Medical Device): Der Wert von classCode MUSS 'SPLY' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="string(@moodCode) = ('EVN')">(ELGA Medical Device): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']) &gt;= 1">(ELGA Medical Device): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.8'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']) &lt;= 1">(ELGA Medical Device): Element hl7:templateId[@root = '1.2.40.0.34.11.13.3.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:text) &lt;= 1">(ELGA Medical Device): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:effectiveTime) &gt;= 1">(ELGA Medical Device): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ELGA Medical Device): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]) &gt;= 1">(ELGA Medical Device): Element hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]) &lt;= 1">(ELGA Medical Device): Element hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:reference[hl7:externalDocument]) &lt;= 1">(ELGA Medical Device): Element hl7:reference[hl7:externalDocument] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']"
         id="d44e322-false-d2100e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="string(@root) = ('1.2.40.0.34.11.13.3.8')">(ELGA Medical Device): Der Wert von root MUSS '1.2.40.0.34.11.13.3.8' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:id
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:id"
         id="d44e327-false-d2116e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:text
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:text"
         id="d44e329-false-d2126e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(ELGA Medical Device): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(ELGA Medical Device): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d44e334-false-d2145e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="@value">(ELGA Medical Device): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:effectiveTime
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:effectiveTime"
         id="d44e345-false-d2159e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:low) &gt;= 1">(ELGA Medical Device): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:low) &lt;= 1">(ELGA Medical Device): Element hl7:low kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:effectiveTime/hl7:low
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:effectiveTime/hl7:low"
         id="d44e354-false-d2178e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVXB_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]
Item: (ELGA Medical Device)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@typeCode) = ('AUT') or not(@typeCode)">(Author (Body) PS): Der Wert von typeCode MUSS 'AUT' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(Author (Body) PS): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:time) &gt;= 1">(Author (Body) PS): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:time) &lt;= 1">(Author (Body) PS): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:assignedAuthor[hl7:representedOrganization]) &gt;= 1">(Author (Body) PS): Element hl7:assignedAuthor[hl7:representedOrganization] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:assignedAuthor[hl7:representedOrganization]) &lt;= 1">(Author (Body) PS): Element hl7:assignedAuthor[hl7:representedOrganization] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:time">
      <extends rule="TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="not(*)">(Author (Body) PS): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(Author (Body) PS): Der Wert von classCode MUSS 'ASSIGNED' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:id) &gt;= 1">(Author (Body) PS): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Author (Body) PS): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="$elmcount &gt;= 1">(Author (Body) PS): Auswahl (hl7:assignedPerson  oder  hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="$elmcount &lt;= 1">(Author (Body) PS): Auswahl (hl7:assignedPerson  oder  hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:assignedPerson) &lt;= 1">(Author (Body) PS): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(Author (Body) PS): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:representedOrganization[not(@nullFlavor)]) &gt;= 1">(Author (Body) PS): Element hl7:representedOrganization[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:representedOrganization[not(@nullFlavor)]) &lt;= 1">(Author (Body) PS): Element hl7:representedOrganization[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:id
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Author (Body) PS): Der Elementinhalt MUSS einer von '1.2.40.0.34.10.6 ELGA_AuthorSpeciality (DYNAMIC)' sein.</assert>
      <report fpi="CD-DEPR-BSP"
              role="warning"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="exists(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@type='D'][@code = $theCode][@codeSystem = $theCodeSystem])">(Author (Body) PS): Element hl7:code ist codiert mit Bindungsstärke 'required' und enthält einen Code der veraltet ist.</report>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:addr
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:telecom
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(Author (Body) PS): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(Author (Body) PS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(Author (Body) PS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(Author (Body) PS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(Author (Body) PS): Der Wert von classCode MUSS 'DEV' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(Author (Body) PS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:manufacturerModelName) &gt;= 1">(Author (Body) PS): Element hl7:manufacturerModelName ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(Author (Body) PS): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:softwareName) &gt;= 1">(Author (Body) PS): Element hl7:softwareName ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:softwareName) &lt;= 1">(Author (Body) PS): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <extends rule="SC"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedAuthoringDevice/hl7:softwareName">
      <extends rule="SC"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(Author (Body) PS): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(Author (Body) PS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(Author (Body) PS): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(Author (Body) PS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(Author (Body) PS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="count(hl7:addr) &lt;= 1">(Author (Body) PS): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]">
      <extends rule="ON"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:telecom
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.16
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:addr
Item: (Author (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.16-2017-08-05T190445.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(Author (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant
Item: (ELGA Medical Device)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@typeCode) = ('INF') or not(@typeCode)">(Informant (Body) PS): Der Wert von typeCode MUSS 'INF' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(Informant (Body) PS): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity | hl7:relatedEntity[@classCode = 'PRS'])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="$elmcount &gt;= 1">(Informant (Body) PS): Auswahl (hl7:assignedEntity  oder  hl7:relatedEntity[@classCode = 'PRS']) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="$elmcount &lt;= 1">(Informant (Body) PS): Auswahl (hl7:assignedEntity  oder  hl7:relatedEntity[@classCode = 'PRS']) enthält zu viele Elemente [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(Informant (Body) PS): Der Wert von classCode MUSS 'ASSIGNED' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:id) &gt;= 1">(Informant (Body) PS): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Informant (Body) PS): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:assignedPerson) &lt;= 1">(Informant (Body) PS): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:representedOrganisation) &lt;= 1">(Informant (Body) PS): Element hl7:representedOrganisation kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:id
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Informant (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Informant (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Informant (Body) PS): Der Elementinhalt MUSS einer von '1.2.40.0.34.10.6 ELGA_AuthorSpeciality (DYNAMIC)' sein.</assert>
      <report fpi="CD-DEPR-BSP"
              role="warning"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="exists(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@type='D'][@code = $theCode][@codeSystem = $theCodeSystem])">(Informant (Body) PS): Element hl7:code ist codiert mit Bindungsstärke 'required' und enthält einen Code der veraltet ist.</report>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:addr
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(Informant (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:telecom
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(Informant (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(Informant (Body) PS): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(Informant (Body) PS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(Informant (Body) PS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(Informant (Body) PS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(Informant (Body) PS): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(Informant (Body) PS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(Informant (Body) PS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(Informant (Body) PS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:addr) &lt;= 1">(Informant (Body) PS): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:id
Item: (OrganizationElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:name[not(@nullFlavor)]">
      <extends rule="ON"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:telecom
Item: (OrganizationElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:telecom">
      <extends rule="TEL.AT"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:addr
Item: (OrganizationElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganisation/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('PRS')">(Informant (Body) PS): Der Wert von classCode MUSS 'PRS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Informant (Body) PS): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:relatedPerson) &lt;= 1">(Informant (Body) PS): Element hl7:relatedPerson kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Informant (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Informant (Body) PS): Der Elementinhalt MUSS einer von '1.2.40.0.34.10.17 ELGA_PersonalRelationship (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:addr
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(Informant (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:telecom
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:telecom">
      <extends rule="TEL.AT"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(Informant (Body) PS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.20
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:relatedPerson
Item: (Informant (Body) PS)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:relatedPerson">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(Informant (Body) PS): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(Informant (Body) PS): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(Informant (Body) PS): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.20-2017-08-10T204925.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(Informant (Body) PS): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:relatedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:informant/hl7:relatedEntity[@classCode = 'PRS']/hl7:relatedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]"
         id="d44e380-false-d2987e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="string(@typeCode) = ('DEV')">(ELGA Medical Device): Der Wert von typeCode MUSS 'DEV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:participantRole) &gt;= 1">(ELGA Medical Device): Element hl7:participantRole ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:participantRole) &lt;= 1">(ELGA Medical Device): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole"
         id="d44e387-false-d3017e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="string(@classCode) = ('MANU')">(ELGA Medical Device): Der Wert von classCode MUSS 'MANU' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:playingDevice) &gt;= 1">(ELGA Medical Device): Element hl7:playingDevice ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:playingDevice) &lt;= 1">(ELGA Medical Device): Element hl7:playingDevice kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:id
Item: (ELGA Medical Device)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice"
         id="d44e397-false-d3059e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="string(@classCode) = ('DEV')">(ELGA Medical Device): Der Wert von classCode MUSS 'DEV' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="string(@determinerCode) = ('INSTANCE')">(ELGA Medical Device): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:code) &lt; 1">(ELGA Medical Device): Element hl7:code ist codiert mit Bindungsstärke 'extensible' und enthält ein Code außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:code) &lt;= 1">(ELGA Medical Device): Element hl7:code kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code"
         id="d44e403-false-d3093e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:originalText) &lt;= 1">(ELGA Medical Device): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:translation) &lt;= 1">(ELGA Medical Device): Element hl7:translation kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code/hl7:originalText
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code/hl7:originalText"
         id="d44e456-false-d3123e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:reference) &gt;= 1">(ELGA Medical Device): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="count(hl7:reference) &lt;= 1">(ELGA Medical Device): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code/hl7:originalText/hl7:reference
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code/hl7:originalText/hl7:reference"
         id="d44e458-false-d3142e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code/hl7:translation
Item: (ELGA Medical Device)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code/hl7:translation"
         id="d44e465-false-d3152e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.8-2017-02-26T111752.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ELGA Medical Device): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.8
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]
Item: (ELGA Medical Device)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]
Item: (ELGA ExternalDocument)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument
Item: (ELGA ExternalDocument)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument">
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="string(@classCode) = ('DOC') or not(@classCode)">(ELGA ExternalDocument): Der Wert von classCode MUSS 'DOC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(ELGA ExternalDocument): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(ELGA ExternalDocument): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(ELGA ExternalDocument): Element hl7:id[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:code) &lt;= 1">(ELGA ExternalDocument): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="count(hl7:text) &lt;= 1">(ELGA ExternalDocument): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:id[not(@nullFlavor)]
Item: (ELGA ExternalDocument)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:id[not(@nullFlavor)]">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ELGA ExternalDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:code
Item: (ELGA ExternalDocument)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ELGA ExternalDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.13.3.17
Context: *[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:text
Item: (ELGA ExternalDocument)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]]/hl7:supply[hl7:templateId[@root = '1.2.40.0.34.11.13.3.8']]/hl7:reference[hl7:externalDocument]/hl7:externalDocument/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="http://elga.art-decor.org/elgatgd-html-20250320T133607/tmp-1.2.40.0.34.11.13.3.17-2017-08-09T105540.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ELGA ExternalDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
